#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'pageSizeWidget_base.ui'
**
** Created: 2013-11-28T07:30:56
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "pageSizeWidget_base.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "sizePreview.h"

/*
 *  Constructs a pageSizeWidget_base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
pageSizeWidget_base::pageSizeWidget_base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "pageSizeWidget_base" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)4, 0, 0, sizePolicy().hasHeightForWidth() ) );
    pageSizeWidget_baseLayout = new QHBoxLayout( this, 11, 6, "pageSizeWidget_baseLayout"); 

    GroupBox5 = new QGroupBox( this, "GroupBox5" );
    GroupBox5->setFrameShape( QGroupBox::Box );
    GroupBox5->setFrameShadow( QGroupBox::Sunken );
    GroupBox5->setColumnLayout(0, Qt::Vertical );
    GroupBox5->layout()->setSpacing( 6 );
    GroupBox5->layout()->setMargin( 11 );
    GroupBox5Layout = new QGridLayout( GroupBox5->layout() );
    GroupBox5Layout->setAlignment( Qt::AlignTop );

    TextLabel3 = new QLabel( GroupBox5, "TextLabel3" );

    GroupBox5Layout->addWidget( TextLabel3, 0, 0 );

    TextLabel1 = new QLabel( GroupBox5, "TextLabel1" );

    GroupBox5Layout->addWidget( TextLabel1, 2, 0 );

    TextLabel2 = new QLabel( GroupBox5, "TextLabel2" );

    GroupBox5Layout->addWidget( TextLabel2, 3, 0 );

    widthInput = new QLineEdit( GroupBox5, "widthInput" );

    GroupBox5Layout->addWidget( widthInput, 2, 1 );

    heightInput = new QLineEdit( GroupBox5, "heightInput" );

    GroupBox5Layout->addWidget( heightInput, 3, 1 );

    heightUnits = new KComboBox( FALSE, GroupBox5, "heightUnits" );

    GroupBox5Layout->addWidget( heightUnits, 3, 2 );

    widthUnits = new KComboBox( FALSE, GroupBox5, "widthUnits" );

    GroupBox5Layout->addWidget( widthUnits, 2, 2 );

    TextLabel4 = new QLabel( GroupBox5, "TextLabel4" );

    GroupBox5Layout->addWidget( TextLabel4, 1, 0 );

    formatChoice = new KComboBox( FALSE, GroupBox5, "formatChoice" );

    GroupBox5Layout->addMultiCellWidget( formatChoice, 0, 0, 1, 2 );

    orientationChoice = new KComboBox( FALSE, GroupBox5, "orientationChoice" );

    GroupBox5Layout->addMultiCellWidget( orientationChoice, 1, 1, 1, 2 );
    pageSizeWidget_baseLayout->addWidget( GroupBox5 );

    GroupBox6 = new QGroupBox( this, "GroupBox6" );
    GroupBox6->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)7, 0, 0, GroupBox6->sizePolicy().hasHeightForWidth() ) );
    GroupBox6->setFrameShape( QGroupBox::Box );
    GroupBox6->setLineWidth( 1 );
    GroupBox6->setColumnLayout(0, Qt::Vertical );
    GroupBox6->layout()->setSpacing( 6 );
    GroupBox6->layout()->setMargin( 11 );
    GroupBox6Layout = new QHBoxLayout( GroupBox6->layout() );
    GroupBox6Layout->setAlignment( Qt::AlignTop );

    previewer = new SizePreview( GroupBox6, "previewer" );
    previewer->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, previewer->sizePolicy().hasHeightForWidth() ) );
    previewer->setMinimumSize( QSize( 250, 50 ) );
    GroupBox6Layout->addWidget( previewer );
    pageSizeWidget_baseLayout->addWidget( GroupBox6 );
    languageChange();
    resize( QSize(595, 175).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( formatChoice, orientationChoice );
    setTabOrder( orientationChoice, widthInput );
    setTabOrder( widthInput, widthUnits );
    setTabOrder( widthUnits, heightInput );
}

/*
 *  Destroys the object and frees any allocated resources
 */
pageSizeWidget_base::~pageSizeWidget_base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void pageSizeWidget_base::languageChange()
{
    QToolTip::add( this, QString::null );
    GroupBox5->setTitle( tr2i18n( "Page Format" ) );
    TextLabel3->setText( tr2i18n( "Format:" ) );
    TextLabel1->setText( tr2i18n( "Width:" ) );
    TextLabel2->setText( tr2i18n( "Height:" ) );
    QToolTip::add( widthInput, tr2i18n( "Width of the chosen paper size in portrait orientation" ) );
    QToolTip::add( heightInput, tr2i18n( "Height of the chosen paper size in portrait orientation" ) );
    heightUnits->clear();
    heightUnits->insertItem( tr2i18n( "cm" ) );
    heightUnits->insertItem( tr2i18n( "mm" ) );
    heightUnits->insertItem( tr2i18n( "in" ) );
    widthUnits->clear();
    widthUnits->insertItem( tr2i18n( "cm" ) );
    widthUnits->insertItem( tr2i18n( "mm" ) );
    widthUnits->insertItem( tr2i18n( "in" ) );
    TextLabel4->setText( tr2i18n( "Orientation:" ) );
    orientationChoice->clear();
    orientationChoice->insertItem( tr2i18n( "Portrait" ) );
    orientationChoice->insertItem( tr2i18n( "Landscape" ) );
    GroupBox6->setTitle( tr2i18n( "Page Preview" ) );
}

/****************************************************************************
** pageSizeWidget_base meta object code from reading C++ file 'pageSizeWidget_base.h'
**
** Created: Thu Nov 28 07:30:56 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "pageSizeWidget_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *pageSizeWidget_base::className() const
{
    return "pageSizeWidget_base";
}

QMetaObject *pageSizeWidget_base::metaObj = 0;
static QMetaObjectCleanUp cleanUp_pageSizeWidget_base( "pageSizeWidget_base", &pageSizeWidget_base::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString pageSizeWidget_base::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "pageSizeWidget_base", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString pageSizeWidget_base::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "pageSizeWidget_base", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* pageSizeWidget_base::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"pageSizeWidget_base", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_pageSizeWidget_base.setMetaObject( metaObj );
    return metaObj;
}

void* pageSizeWidget_base::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "pageSizeWidget_base" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool pageSizeWidget_base::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool pageSizeWidget_base::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool pageSizeWidget_base::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool pageSizeWidget_base::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
